Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.existential
Class ExistentialTreeRoot

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protege.util.LazyTreeRoot
              edu.stanford.smi.protegex.owl.ui.existential.ExistentialTreeRoot

All Implemented Interfaces:
  TreeNode

    public class ExistentialTreeRoot

extends edu.stanford.smi.protege.util.LazyTreeRoot

A LazyTreeRoot for the root of a transitivity tree.

Author:
  Holger Knublauch

Constructor Summary
`ExistentialTreeRoot(edu.stanford.smi.protege.model.Cls root, edu.stanford.smi.protege.model.Slot superclassesSlot, OWLObjectProperty existentialProperty)`

Method Summary
`edu.stanford.smi.protege.util.LazyTreeNode` | `createNode(Object o)`
`Comparator` | `getComparator()`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeRoot
`childReplaced, getChildObjectCount, getChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, setModel`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, dispose, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExistentialTreeRoot

    public ExistentialTreeRoot(edu.stanford.smi.protege.model.Cls root,
                               edu.stanford.smi.protege.model.Slot superclassesSlot,
                               OWLObjectProperty existentialProperty)

Method Detail

### createNode

    public edu.stanford.smi.protege.util.LazyTreeNode createNode(Object o)

  Specified by:
    `createNode` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getComparator

    public Comparator getComparator()

  Specified by:
    `getComparator` in class `edu.stanford.smi.protege.util.LazyTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.